/* Project: AVR-Doper
This module implements the STK500v2 primitives for High Voltage serial and
parallel programming. Functions accept parameters directly from the input data
stream and prepare results for the output data stream, where appropriate.
*/

#pragma once

#include "stk500protocol.h"
namespace stk{
namespace hv{

void spEnterProgmode();
void spLeaveProgmode();
byte spChipErase();
byte ProgramMemory(bool isEeprom);
word ReadMemory(bool isEeprom);
byte spProgramFuse();
byte spProgramLock();
byte ReadFuse();
byte ReadLock();
byte ReadSignature();
byte ReadOsccal();

void ppEnterProgmode();
void ppLeaveProgmode();
byte ppChipErase();
byte ppProgramFuse();
byte ppProgramLock();

}/*namespace hv*/
}